#include <stdio.h>
#include <stdlib.h>
#include "matrix.h"
#include "pnm.h"

int main( int argc, char *argv[] )
{
	MATRIX *I;
	int i, j;
	byte *pimg;

	I = matrix_allocate( 400, 600, 1 );
	if ( I==NULL ) {
		fprintf( stderr, "ERROR\n" );
		return 1;
	}

	// Limpio la imagen
	for( i=0; i<I->rows; i++ ) {
		pimg = (byte *)I->ptr[i];
		for( j=0; j<I->cols; j++ ) {
			*pimg++ = 255;
		}
	}
	// Un solo objeto en negro
	for( i=300; i<350; i++ ) {
		pimg = (byte *)I->ptr[i] + 200;
		for( j=0; j<100; j++ ) {
			*pimg++ = 0;
		}
	}

	I->type = 5;
	write_pnm( I, "obj.pgm" );	

	return 0;
}
