/**
	Fraga
	30/05/2018
**/
#include <stdio.h>
#include <stdlib.h>
#include "matrix.h"
#include "pnm.h"
#include "fill.h"
#include "morphology.h"

int main( int argc, char *argv[] )
{
	MATRIX *I;
	int i, j;
	byte *pimg;
	int x, y, p, vals[5];

	if( argc != 2 ) {
		fprintf( stderr, "Args: nombre\n" );
		return 1;
	}

	I = read_pnm( argv[1] );	

	for( i=0; i<I->rows; i++ ) {
		pimg = (byte *)I->ptr[i];
		for( j=0; j<I->cols; j++ ) {
			if ( *pimg == 0 ) {
				x = j;
				y = i;
				goto SIGUE;
			}
			pimg++;
		}
	}
	fprintf( stderr, "ERROR: No hay ningún objeto en la imagen!\n" );
	matrix_free( I );
	return 1;
	SIGUE:
	p = left ( I, x, y );

	push( p, y );
	// Extraigo el objeto que está en negro (0) y lo
	// relleno con 1
	do_fill( I, vals, 1 );

	dilation_4neig_inplace_obj( I, vals, 1 );

	for( i=vals[INICIOY]; i<=vals[FINY]; i++ ) {
		pimg = (byte *)I->ptr[i] + vals[INICIOX];
		for( j=vals[INICIOX]; j<=vals[FINX]; j++ ) {
			if ( *pimg == 254 ) {
				*pimg = 200;
			}
			pimg++;
		}
	}

	write_pnm( I, "perimetro.pgm" );	

	matrix_free( I );
	return 0;
}
